/**
 *Created by huangwenjie on 2018/7/18
 * 复活操作
 */
import { Data } from "../../Data";

export class DoReviveData extends Data {
    /**
     * 时间戳
     */
    public timestamp:string;
    /**
     * 是否成功
     */
    public isSuccess:boolean;
    /**
     * 复活卡数量
     */
    public reviveCardNum:number;
    /**
     * 是否复活成功, true成功，false失败
     */
    public status:boolean;

    constructor() {
        super();
    }

    public update(data: any): void {
        if (!data) {
            return;
        }
        super.update(data);
        this.timestamp = data.timestamp;
        this.isSuccess = data.success;
        this.reviveCardNum = data.data.reviveCardNum;
        this.status = data.data.status;
    }
}